File::IconTheme(3)

NAME
File::IconTheme - Find icon directories

VERSION
version 0.09

SYNOPSIS
 use File::IconTheme qw(xdg_icon_theme_search_dirs);
 print join "\n", xdg_icon_theme_search_dirs;

DESCRIPTION
This module can be used to find directories as specified by the Freedesktop.org Icon Theme Specification. Currently only a tiny (but most useful) part of the specification is implemented.

In case you want to store an icon theme, use the directory returned by:

 use File::BaseDir qw(data_dirs);
 print scalar data_dirs('icons');

FUNCTIONS
Can be exported on request.

  xdg_icon_theme_search_dirs
 my @dirs = xdg_icon_theme_search_dir;

Returns a list of the base directories of icon themes.

CONFIGURATION AND ENVIRONMENT
$XDG_DATA_HOME, $XDG_DATA_DIRS

SEE ALSO
<http://standards.freedesktop.org/icon-theme-spec/>

AUTHORS

•   Jaap Karssenberg || Pardus [Larus] <pardus@cpan.org>

•   Graham Ollis <plicease@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2003-2021 by Jaap Karssenberg || Pardus [Larus] <pardus@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.